> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create wallet

> Create a new wallet with unified balance across multiple chains. One account, one balance, any chain.



## OpenAPI

````yaml /openapi.json post /wallet/create
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /wallet/create:
    post:
      tags:
        - Wallet
      summary: Create wallet
      description: >-
        Create a new wallet with unified balance across multiple chains. One
        account, one balance, any chain.
      operationId: createWallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  description: Display name for the wallet
                callback_url:
                  type: string
                  format: uri
                  description: Webhook URL to receive wallet notifications.
            example:
              name: My Wallet
              callback_url: https://your-app.com/webhook
      responses:
        '200':
          description: Wallet created successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the wallet
                      name:
                        type: string
                        description: Display name for the wallet
                      private_key:
                        type: string
                        description: >-
                          Private key. Only returned on creation; store
                          securely.
                      address:
                        type: object
                        description: Addresses per blockchain (e.g. Base, Ethereum, Solana)
                        additionalProperties:
                          type: string
                      note:
                        type: string
              example:
                success: true
                message: Wallet created successfully
                timestamp: '2026-04-18T14:22:08.631Z'
                data:
                  id: 68d4f2a91eb37c15b8e3a4f7
                  name: My Wallet
                  private_key: >-
                    0xd4c19f2e8a91b06357cef3049821ea47dc33a09ef12c8456f8ab2d9e0c7e51a3
                  address:
                    BASE: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    ETHEREUM: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    POLYGON: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    BSC: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    ARBITRUM: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    OPTIMISM: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    GNOSIS: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    AVALANCHE: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    MONAD: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    PLASMA: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    LINEA: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    MANTLE: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    HYPEREVM: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    BERACHAIN: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    SONIC: '0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49'
                    SOLANA: 2dTHot2BVjqqGD3S5Z2bzEVYnyEcJCdr9SawzqTdKo4h
                  note: >-
                    Do not share your private key. This key grants full control
                    of your account.
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ServiceKey: []
components:
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters or validation error
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - message
              - timestamp
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                description: Error message describing what went wrong
              timestamp:
                type: string
                format: date-time
              data:
                description: Additional error details
                nullable: true
          example:
            success: false
            message: amount must be greater than 0 for the selected corridor
            timestamp: '2026-04-18T14:22:08.631Z'
            data: null
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````